package models

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type CygxArticleAsk struct {
	AskId       int       `orm:"column(ask_id);pk" description:"带问id"`
	UserId      int       `description:"用户id"`
	ArticleId   int       `description:"文章id"`
	CreateTime  time.Time `description:"创建时间"`
	Mobile      string    `description:"手机号"`
	Email       string    `description:"邮箱"`
	CompanyId   int       `description:"公司id"`
	CompanyName string    `description:"公司名称"`
	Content     string    `description:"内容"`
}

//添加优化建议
func AddArticleAsk(item *CygxArticleAsk) (lastId int64, err error) {
	o := orm.NewOrm()
	lastId, err = o.Insert(item)
	return
}

type AddArticleAskRep struct {
	ArticleId int    `description:"文章id"`
	Content   string `description:"内容"`
}
